<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'diagnostic.ping.title' | translate}}</div>
        <div class="card-body">
          <form [formGroup]="editForm">
            <div class="row">
              <div class="form-group col-md-6 row">
                <label class="col-md-4 text-right col-form-label"
                       for="ip_address">{{'diagnostic.ip_domain' | translate}}</label>
                <div class="col-md-8">
                  <input type="text" [(ngModel)]="ip_address" class="form-control" name="ip_address" id="ip_address" formControlName="ip_address"
                         placeholder="google.com"/>
                  <div
                    *ngIf="editForm.get('ip_address').invalid && (editForm.get('ip_address').dirty || editForm.get('ip_address').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('ip_address').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                  </div>
                </div>
              </div>
              <div class="form-group col-md-6 row">
                <label class="col-md-4 text-right col-form-label"
                       for="count">{{'diagnostic.ping.count' | translate}}</label>
                <div class="col-md-8 form-group">
                  <input type="number" style="width: 50%" class="form-control" name="count" id="count"
                         formControlName="count"
                         placeholder="4"/>
                  <div
                    *ngIf="editForm.get('count').invalid && (editForm.get('count').dirty || editForm.get('count').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('count').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                    <span class="form-text text-danger"
                          *ngIf="editForm.get('count').errors?.max ">
                        {{'ping.count' | translate}}
                      </span>
                  </div>
                </div>
              </div>
              <div class="form-group col-md-6 row">
                <label class="col-md-4  text-right col-form-label"
                       for="packet_size">{{'diagnostic.packet_size' | translate}}</label>
                <div class="col-md-8 form-group">
                  <input type="number" [(ngModel)]="packet_size" style="width: 50%" class="form-control" name="packet_size" id="packet_size"
                         formControlName="packet_size"
                         placeholder="64"/>
                  <div
                    *ngIf="editForm.get('packet_size').invalid && (editForm.get('packet_size').dirty || editForm.get('packet_size').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('packet_size').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                    <span class="form-text text-danger"
                          *ngIf="editForm.get('packet_size').errors?.max ">
                        {{'ping.packet_size' | translate}}
                      </span>
                  </div>
                </div>
              </div>
              <div class="form-group col-md-6 row">
                <label class="col-md-4 text-right col-form-label"
                       for="timeout">{{'diagnostic.timeout' | translate}}</label>
                <div class="col-md-8 form-group">
                  <input type="number" style="width: 50%" class="form-control" name="timeout" id="timeout"
                         formControlName="timeout"
                         placeholder="800"/>
                  <div
                    *ngIf="editForm.get('timeout').invalid && (editForm.get('timeout').dirty || editForm.get('timeout').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('timeout').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                    <span class="form-text text-danger"
                          *ngIf="editForm.get('timeout').errors?.max ">
                        {{'ping.timeout' | translate}}
                      </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group text-left">
              <button type="submit" class="btn btn-primary" id="save-entity" (click)="save()"
              [disabled]="editForm.invalid">
                <span class="d-none d-md-inline">{{'common.start' | translate}}</span>
              </button>
            </div>
          </form>
          <br/>
          <p>{{'diagnostic.ping.result' | translate}}</p>
          <div class="scoll">
            <div style="margin-left: 5px">
              <div *ngIf="ping">
                <form [formGroup]="pingForm">
                  <h6>Pinging {{ip_address}} with {{packet_size}} bytes of data</h6>
                  <br/>
                  <ng-container formGroupName="ping_packet">
                    <tbody *ngFor="let ping of getPing.controls; let i = index" [formGroupName]="i">
                    <span>Reply from {{ping.get('reply_from').value}} </span>
                    <span>bytes = {{ping.get('packet_size').value}} </span>
                    <span>time = {{ping.get('time').value}} </span>
                    <span>TLL = {{ping.get('TTL').value}} </span>
                    <span>seq = {{ping.get('seq').value}} </span>
                    </tbody>
                  <br>
                  <h6>Ping statistics for {{ip_address}} </h6>
                    <span>Packets: Sent = {{getPing.controls.length}}, Received = {{getPing.controls.length}}, Lost = 0</span>
                  <br>
                  </ng-container>
                  <h6>Approximate round trip times in milliseconds</h6>
                  <ng-container formGroupName="time">
                    <tbody>
                    <span>Minimum = {{ping.time.min}}, </span>
                    <span>Maximum = {{ping.time.max}}, </span>
                    <span>Average = {{ping.time.avg}}</span>
                    </tbody>
                  </ng-container>
                  <br/>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
